'use client'
import { useMutation } from '@tanstack/react-query'
import { toISOIfNotZ } from '@/lib/utils';
import { BuildAddressAdd } from './schema';

const fetchGraphQlBuildAddressAdd = async (record: BuildAddressAdd): Promise<{ data: BuildAddressAdd | null; status: number }> => {
    console.log('Fetching test data from local API');
    try {
        const res = await fetch('/api/build-address/add', { method: 'POST', cache: 'no-store', credentials: "include", body: JSON.stringify(record) });
        if (!res.ok) { const errorText = await res.text(); console.error('Test data API error:', errorText); throw new Error(`API error: ${res.status} ${res.statusText}`) }
        const data = await res.json();
        return { data: data.data, status: res.status }
    } catch (error) { console.error('Error fetching test data:', error); throw error }
};

export function useAddBuildAddressMutation() {
    return useMutation({
        mutationFn: ({ data }: { data: BuildAddressAdd }) => fetchGraphQlBuildAddressAdd(data),
        onSuccess: () => { console.log("Build address created successfully") },
        onError: (error) => { console.error("Create build address failed:", error) },
    })
}
